OGRE: Ogre::MetalDiscardBuffer Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Friends | List of all members
Ogre::MetalDiscardBuffer Class Reference

`#include <OgreMetalDiscardBufferManager.h>`

Inheritance diagram for Ogre::MetalDiscardBuffer:
[legend]

## Public Member Functions
| MetalDiscardBuffer (size_t bufferSize, uint16 alignment, VaoManager *vaoManager, MetalDiscardBufferManager *owner)
uint16 | getAlignment (void) const
size_t | getBlockSize (void) const
size_t | getBlockStart (void) const
| For internal use by MetalDiscardBufferManager. More...
id< MTLBuffer > | getBufferName (size_t &outOffset)
| Returns the actual API buffer, but first sets mLastFrameUsed as we assume you're calling this function to use the buffer in the GPU. More...
size_t | getOffset (void) const
MetalDiscardBufferManager * | getOwner (void)
size_t | getSizeBytes (void) const
| Size of the buffer, may be bigger than requested due to 4-byte alignment required by Metal. More...
void * | map (bool noOverwrite)
| Returns a pointer that maps to the beginning of this buffer to begin writing. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | unmap (void)

## Friends
class | MetalDiscardBufferManager

## Constructor & Destructor Documentation

## ◆ MetalDiscardBuffer()

Ogre::MetalDiscardBuffer::MetalDiscardBuffer | ( | size_t | bufferSize,
|  | uint16 | alignment,
|  | VaoManager * | vaoManager,
|  | MetalDiscardBufferManager * | owner
| ) |  |

## Member Function Documentation

## ◆ getAlignment()

uint16 Ogre::MetalDiscardBuffer::getAlignment | ( | void |  | ) | const
| inline

## ◆ getBlockSize()

size_t Ogre::MetalDiscardBuffer::getBlockSize | ( | void |  | ) | const
| inline

## ◆ getBlockStart()

size_t Ogre::MetalDiscardBuffer::getBlockStart | ( | void |  | ) | const
| inline

For internal use by MetalDiscardBufferManager.

## ◆ getBufferName()

id<MTLBuffer> Ogre::MetalDiscardBuffer::getBufferName | ( | size_t & | outOffset | ) |

Returns the actual API buffer, but first sets mLastFrameUsed as we assume you're calling this function to use the buffer in the GPU.

Parameters

  outOffset | Out. Guaranteed to be written. Used to point to the start of our data in the internal ring buffer we've allocated.

Returns
  The MTLBuffer in question.

## ◆ getOffset()

size_t Ogre::MetalDiscardBuffer::getOffset | ( | void |  | ) | const
| inline

## ◆ getOwner()

MetalDiscardBufferManager* Ogre::MetalDiscardBuffer::getOwner | ( | void |  | ) |
| inline

## ◆ getSizeBytes()

size_t Ogre::MetalDiscardBuffer::getSizeBytes | ( | void |  | ) | const
| inline

Size of the buffer, may be bigger than requested due to 4-byte alignment required by Metal.

## ◆ map()

void* Ogre::MetalDiscardBuffer::map | ( | bool | noOverwrite | ) |

Returns a pointer that maps to the beginning of this buffer to begin writing.

Parameters

  noOverwrite | When true, noOverwrite is slow

Returns

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ unmap()

void Ogre::MetalDiscardBuffer::unmap | ( | void |  | ) |

## Friends And Related Function Documentation

## ◆ MetalDiscardBufferManager

friend class MetalDiscardBufferManager
| friend

The documentation for this class was generated from the following file:

- OgreMetalDiscardBufferManager.h